/*
 * The contents of this file are subject to the Mozilla Public License
 * Version 1.1 (the "License");  you may not use this file except in 
 * compliance with the License.  You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for
 * the specific language governing rights and limitations under the License.
 *
 * The Original Code is FMAtoOWL
 *
 * The Initial Developer of the Original Code is Stanford University. Portions
 * created by Stanford University are Copyright (C) 2007.  All Rights Reserved.
 */
/*
 * Contributor(s): Natasha Noy noy@smi.stanford.edu
 */

package edu.stanford.smi.fmatoowl;

public class Constants {

	private static final boolean testing = false;
	public static final String DL_FLAG = "dl";
	
	public static final String DL_PREFIX = "dl";
	
	public static String OWL_DL_FILE_NAME = testing ? "fma_tiny_owl_dl.owl" : "fmaOwlDlComponent_2_0.owl";;
	public static String OWL_FULL_FILE_NAME = testing ? "fma_tiny_owl_full.owl" : "fmaOwlFullComponent_2_0.owl";

	
	public static final String FMA_IN_OWL_DL_NAMESPACE = "http://bioontology.org/projects/ontologies/fma/fmaOwlDlComponent_2_0#";
	public static final String FMA_IN_OWL_FULL_NAMESPACE = "http://bioontology.org/projects/ontologies/fma/fmaOwlFullComponent_2_0#";
	
	public static final String [] ANNOTATION_DATATYPE_PROPERTIES = new String [] {
		"definition",
		"FMAID",
		"slot synonym"
	};
	
	public static final String [] ANNOTATION_OBJECT_PROPERTIES = new String [] {
		"Preferred name",
		"Synonym",
		"Non-English equivalent"
	};	
	public static final String [] ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Dimensional entity", "Attribute entity", "Standard FMA class"};
//	public static final String [] ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Attribute entity", "Standard FMA class"};
//	public static final String [] ROOT_CLASS_NAMES = new String [] {"RID0","radlex_metaclass", "radlex_synonym"};
	public static final String [] OWL_DL_ROOT_CLASS_NAMES = new String [] {"Anatomical entity", "Dimensional entity", "Attribute entity"};
//	public static final String [] OWL_DL_ROOT_CLASS_NAMES = new String [] {"RID0"};
	public static final String [] OWL_FULL_ROOT_CLASS_NAMES = new String [] {"Standard FMA class"};
//	public static final String [] OWL_FULL_ROOT_CLASS_NAMES = new String [] {"radlex_metaclass", "radlex_synonym"};
	public static final String LANGUAGE_LABEL = "en";
}
